<template>
  <div>
    <HeaderMobile/>
    <div class="d-flex flex-column flex-root">
      <!--begin::Page-->
      <div class="d-flex flex-row flex-column-fluid page">
        <!--begin::Wrapper-->
        <div id="kt_wrapper" class="d-flex flex-column flex-row-fluid wrapper">
          <!--begin::Header-->
          <div id="kt_header" class="header header-fixed">
            <!--begin::Container-->
            <div
                class="container d-flex align-items-stretch justify-content-between"
            >
              <!--begin::Left-->
              <div class="d-flex align-items-stretch mr-3">
                <!--begin::Header Logo-->
                <HeaderLogo/>
                <!--end::Header Logo-->
                <!--begin::Header Menu Wrapper-->
                <HeaderMenu/>
                <!--end::Header Menu Wrapper-->
              </div>
              <!--end::Left-->
              <!--begin::Topbar-->
              <TopBar/>
              <!--end::Topbar-->
            </div>
            <!--end::Container-->
          </div>
          <!--end::Header-->
          <!--begin::Content-->
          <div
              id="kt_content"
              class="content d-flex flex-column flex-column-fluid"
          >
            <!--begin::Subheader-->
            <SubHeader
                v-bind:breadcrumbs="breadcrumbs"
                v-bind:title="pageTitle"
            />
            <!--end::Subheader-->
            <!--begin::Entry-->
            <div class="d-flex flex-column-fluid ">
              <!--begin::Container-->
              <div class="container">
                <Nuxt />
              </div>

              <!--end::Container-->
            </div>
            <!--end::Entry-->
          </div>
          <!--end::Content-->
          <!--begin::Footer-->
          <!--      <FooterWeb /> -->
          <!--end::Footer-->
        </div>
        <!--end::Wrapper-->
      </div>
      <!--end::Page-->
    </div>
    <!--   <StickyToolbar /> -->
  </div>
</template>
<style></style>
<script>
import SubHeader from "~/components/Layouts/SubHeader";
import {mapGetters} from "vuex";
import gql from "graphql-tag";
import resume from "@/apollo/queries/resume/resume";

export default {
  middleware: 'auth',
  components: {SubHeader},
  data() {
    return {
      user: {},
      overlay: false
    };
  },
  async mounted() {
   let user = localStorage.getItem("resume_admin");
    if (user) {
      this.user = JSON.parse(user);
    } else {
      this.logout();
    }
  },
  methods: {
  },
  head: {
    bodyAttrs: {
      id: "kt_body",
      class:
          "quick-panel-right demo-panel-right offcanvas-right header-fixed subheader-enabled page-loading",
      style:
          "direction: rtl;text-align:right;background-image:url(" +
          require("~/assets/media/bg/bg-10.jpg") +
          ")",
    },
  },
  created() {
  },
  computed: {
    ...mapGetters("breadcrumbs", [
      "breadcrumbs",
      "pageTitle",
      // Here you can import other getters from the products.js
    ]),
  },
};
</script>
<style scoped>
.__nuxt-error-page {
  position: relative;
}
</style>
